Skip to content
Developer Tools
Accelerate development using AI assistants and tools

Wallet transaction Inquiry ​

  • Endpoint: POST /v1.0/emoney/topup-status
  • Tags: Indonesia SNAP/Disbursement

Description ​

This API is used for querying wallet payments. Please pay attention to the following matters when returning parameters of this interface, otherwise there may be a risk of capital loss:

When "responseCode":"2003900" and "responseMessage": "Successful" and latestTransactionStatus is returned, it means the query is successful. Please refer to latestTransactionStatus for order status; When "responseCode":"4043901" and "responseMessage": "The order does not exist." and the query returns the same result after multiple queries at intervals (5 minutes), you can place an order again without changing partnerReferenceNo; In other scenarios, please check the parameters and re-query, and be careful to reset the X-TIMESTAMP;

Service Code=39

Parameters ​

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYesMedia type of the resource, i.e. application/json.
X-TIMESTAMPheaderstringYesRequest time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time
X-SIGNATUREheaderstringYesRepresents signature of a request.
CHANNEL-IDheaderstringYesDevice identification on which the API services is currently being accessed by the end user , like APP,WAP,WEB.
AuthorizationheaderstringYesRepresents access_token of a request; string starts with keyword “Bearer ” followed by access_token
X-PARTNER-IDheaderstringYesMerchant Id, the unique identifier generated when the merchant signs the contract with PayerMax
X-EXTERNAL-IDheaderstringYesUnique messaging reference identifier generated by the merchant.

Parameter Examples ​

  • Content-Type: ""
  • X-TIMESTAMP: ""
  • X-SIGNATURE: ""
  • CHANNEL-ID: ""
  • Authorization: ""
  • X-PARTNER-ID: ""
  • X-EXTERNAL-ID: ""

Request Body ​

Required

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
originalPartnerReferenceNostringYesmaxLength: 64Merchant Order Id.
serviceCodestringYesserviceCode: 39

Example ​

json
{
  "originalPartnerReferenceNo": "20260812195820965100890",
  "serviceCode": "39"
}

Responses ​

200 ​

ErrorCode ​

codemessage
2003900Successful
4003901Invalid Field Format originalPartnerReferenceNo
4043901Transaction Not Found
5003900General Error
4043803Bank Not Supported By Switch
4043811Invalid Card/Account/Customer [info]/Virtual Account
4033802Exceeds Transaction Amount Limit
4033814Insufficient Funds
4033818Inactive Card/Account/Customer
4033803Suspected Fraud
4043808Invalid Merchant
4003801Invalid Field Format amount.value
4003801Invalid Field Format bankInfo.bankBranch
4003801Invalid Field Format payeeInfo.name.fullName
4003801Invalid Field Format payeeInfo.payeePhone
4003801Invalid Field Format address.address
4003801Invalid Field Format payeeInfo.email
4003801Invalid Field Format payeeInfo.document
4003801Invalid Field Format payeeInfo.targetOrg
4003801Invalid Field Format amount.currency
4003801Invalid Field Format bankInfo.bankCode
4003801Invalid Field Format accountInfo.accountNo
5003800General Error
4013900Unauthorized. [Signature]
4013901Access Token Invalid
4013903Unauthorized. [X-PARTNER-ID does not match token]
4003900Bad Request.
4033900Forbidden.
5043900Gateway Timeout
{HTTP STATUS}3900
FieldTypeRequiredConstraintsDescriptionEnum
responseCodestringYesResponse code, following the SNAP standard.
responseMessagestringYesResponse description, following the SNAP standard.
originalPartnerReferenceNostringNomaxLength: 64Merchant Order Id.
originalReferenceNostringNomaxLength: 64PayerMax transaction serial Order Number.
transactionDatestringNoTransaction creation time, conforming to rfc3339 specification, format: "yyyy-MM-dd'T'HH:mm:ss Z".
latestTransactionStatusstringNomaxLength: 2Transaction status: 00 - Success, 03 - Pending, 04 - Bounced Back, 06 - Failed.
amountobjectNo
amount.valuestringYesmaxLength: 12The trade amount input by the merchant in the request.
amount.currencystringYesmaxLength: 3The currency code of trade input by the merchant in the request.
additionalInfoobjectNo
additionalInfo.destinationobjectNoPayee Information (User).
additionalInfo.destination.amountstringYesmaxLength: 12Payee - Amount to account.
additionalInfo.destination.currencystringYesmaxLength: 3Payee - Receiving Currency.
additionalInfo.destination.exchangeRatestringNoThe exchange rate for converting the trade currency to the deduction currency.
additionalInfo.destination.feestringNomaxLength: 12Payee - handling fee.
additionalInfo.destination.feeCurrencystringNomaxLength: 3Payee - handing fee currency.
additionalInfo.destination.taxstringNomaxLength: 12Payee - Tax fee.
additionalInfo.destination.taxCurrencystringNomaxLength: 3Payee - Tax fee currency.
additionalInfo.sourceobjectNoDisbursement Information (Merchant).
additionalInfo.source.amountstringYesmaxLength: 12Payer - Deduction Amount.
additionalInfo.source.currencystringYesmaxLength: 3Payer - Deduction Currency.
additionalInfo.source.exchangeRatestringNoThe exchange rate for converting the trade currency to the source currency.
additionalInfo.source.feestringNomaxLength: 12Payer - handling fee.
additionalInfo.source.feeCurrencystringNomaxLength: 3Payer - handing fee currency.
additionalInfo.source.taxstringNomaxLength: 12Payer - Tax fee.
additionalInfo.source.taxCurrencystringNomaxLength: 3Payer - Tax fee Currency.
additionalInfo.payFinishTimestringNoTransaction completion time, in line with rfc3339 specification, format: "yyyy-MM-dd'T'HH:mm:ss Z".
additionalInfo.fundsFreezeTimestringNoFund deduct time, conforms to rfc3339 specification, format: "yyyy-MM-dd'T'HH:mm:ss Z".
additionalInfo.fundsReturnTimestringNoFund return time, conforms to rfc3339 specification, format: "yyyy-MM-dd'T'HH:mm:ss Z".
additionalInfo.bounceBackTimestringNoOrder bounced back time, in line with rfc3339 specification, format: "yyyy-MM-dd'T'HH:mm:ss Z".
additionalInfo.additionalIdentifierobjectNoAdditional transaction information, this field will be returned only after the withdrawal callback is upgraded to version 3.0 or above. If necessary, you can contact PayerMax technical support for adjustments.
additionalInfo.additionalIdentifier.referenceIdstringNoThe transaction order number of the receiving bank/institution (based on historical experience, currently only the order number returned by BankTransfer in Saudi Arabia can be used as a voucher to confirm with the receiving bank whether the account has been received. The transaction order number format is such as: 20240418SAARNBARNB1B44410558522170)
additionalInfo.referencestringNoA pass-through parameter, which will be returned the same in the notification callback API. This field is primarily to hold customized data from merchant.
additionalInfo.notifyEmailstringNomaxLength: 64Payee notification email address.
additionalInfo.originalResponseCodestringNoOrder result code, following the SNAP standard.
additionalInfo.originalResponseMessagestringNoOrder result code description, following the SNAP standard.

Response Example ​

json
{
  "amount": {
    "value": "10000.00",
    "currency": "IDR"
  },
  "originalReferenceNo": "20260812115824TD8357849403981200T08",
  "latestTransactionStatus": "06",
  "additionalInfo": {
    "payFinishTime": "2026-08-12T11:58:30 +0000",
    "destination": {
      "amount": "10000.00",
      "taxCurrency": "IDR",
      "exchangeRate": "1",
      "fee": "0.00",
      "feeCurrency": "IDR",
      "currency": "IDR",
      "tax": "0.00"
    },
    "originalResponseCode": "4033814",
    "originalResponseMessage": "Insufficient balance"
  },
  "originalPartnerReferenceNo": "20260812195820965100890",
  "responseMessage": "Successful",
  "transactionDate": "2026-08-12T11:58:24 +0000",
  "responseCode": "2003900"
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.